package com.trade.admin.trade.purchaseorder.controller;

import com.trade.admin.enterprise.customer.dto.CustomerUserDto;
import com.trade.admin.enterprise.customer.service.CustomerUserService;
import com.trade.admin.job.PurchaseInvoiceSchedule;
import com.trade.common.core.domain.ResponseResult;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * @description:
 * @Author: wanglang
 * @Date: 2024/11/6 18:35
 * @Version: 1.0
 */
@RestController
@RequestMapping("/api")
public class PurchaseInvoiceApiController {

    @Resource
    private PurchaseInvoiceSchedule purchaseInvoiceSchedule;
    @Resource
    private CustomerUserService customerUserService;

    @PostMapping("/pullInvoiceDetail")
    public ResponseResult<Boolean> pullInvoiceDetail(@RequestBody List<Long> orderIds) {
        purchaseInvoiceSchedule.pullInvoiceDetail(orderIds);
        return ResponseResult.success(true);
    }
    @GetMapping("/getCustomerUser")
    public ResponseResult<CustomerUserDto> getCustomerUser(String userId) {
        return customerUserService.getCustomerUser(userId);
    }
}
